Package twisted :: Package internet :: Module default :: Class _Win32Waker

[show private | hide private]
[frames | no frames]

## Class _Win32Waker

       Logger --+
                |
    Ephemeral --+
                |
               _Win32Waker

I am a workaround for the lack of pipes on win32.

I am a pair of connected sockets which can wake up the main loop from another thread.

Method Summary
| ``__init__`(self, reactor)` Initialize.
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| `connectionLost(self, reason)`
| ``doRead`(self)` Read some data from my connection.
| `log(self, bytes)` (inherited from `Logger`)
| ``logPrefix`(self)` Override this method to insert custom logging behavior. (inherited from `Logger`)
| ``wakeUp`(self)` Send a byte to my connection.
| `_Logger__prefix(self)` (inherited from `Logger`)

Class Variable Summary
`int` | `disconnected`

Method Details

### __init__(self, reactor)
(Constructor)

Initialize.

### doRead(self)

Read some data from my connection.

### wakeUp(self)

Send a byte to my connection.

Class Variable Details

### disconnected

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Sat Feb 15 21:19:36 2003 | http://epydoc.sf.net